/persona-admin | Type: Application | PCID required: Yes
Tools
persona_admin_archive_a_webhook
Archive a Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
webhook-id | string | Yes | — | Webhook’s ID (starts with “wbh_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"webhook-id": {
"type": "string",
"description": "Webhook's ID (starts with \"wbh_\")"
}
},
"required": [
"PCID",
"webhook-id"
]
}
persona_admin_clone_a_webhook
Clone a Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
webhook-id | string | Yes | — | The ID of the Webhook to clone (starts with “wbh_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"webhook-id": {
"type": "string",
"description": "The ID of the Webhook to clone (starts with \"wbh_\")"
}
},
"required": [
"PCID",
"webhook-id"
]
}
persona_admin_clone_api_key
Clone an API key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
api-key-id | string | Yes | — | The token/ID of the API key to be cloned. |
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"api-key-id": {
"type": "string",
"description": "The token/ID of the API key to be cloned."
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
}
},
"required": [
"PCID",
"api-key-id"
]
}
persona_admin_create_a_connect_connection
Create a Connection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"description": "The attributes value"
}
}
}
},
"required": [
"PCID"
]
}
persona_admin_create_a_graph_query
Create a Graph Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
meta | object | No | — | The meta value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
},
"meta": {
"type": "object",
"description": "The meta value",
"properties": {
"run-sync": {
"type": "boolean",
"description": "If true, the query will run synchronously and results will be returned in the response. If false, the query will run asynchronously and you will have to poll for results."
}
}
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_create_a_share_token
Create a Share Token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_create_a_webhook
Create a Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_create_a_workflow_run
Create a Workflow Run Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
workflow-id | string | Yes | — | The workflow-id value |
data | object | Yes | — | The data value |
meta | object | No | — | The meta value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"workflow-id": {
"type": "string",
"description": "The workflow-id value"
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "JSON key-value pairs of field name to field value. Schema is defined by the trigger payload schema on your Workflow Version."
}
},
"required": [
"attributes"
]
},
"meta": {
"type": "object",
"description": "The meta value",
"properties": {
"params": {
"type": "object",
"description": "JSON key-value pairs of field name to field value. Schema is defined by the trigger payload schema on your Workflow Version."
}
}
}
},
"required": [
"PCID",
"workflow-id",
"data"
]
}
persona_admin_create_an_api_key
Create an API key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_deactivate_a_connect_connection
Deactivate a Connect Connection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
connection-id | string | Yes | — | ID of the connect connection |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"connection-id": {
"type": "string",
"description": "ID of the connect connection"
}
},
"required": [
"PCID",
"connection-id"
]
}
persona_admin_disable_a_webhook
Disable a Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
webhook-id | string | Yes | — | Webhook’s ID (starts with “wbh_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"webhook-id": {
"type": "string",
"description": "Webhook's ID (starts with \"wbh_\")"
}
},
"required": [
"PCID",
"webhook-id"
]
}
persona_admin_enable_a_webhook
Enable a Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
webhook-id | string | Yes | — | Webhook’s ID (starts with “wbh_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"webhook-id": {
"type": "string",
"description": "Webhook's ID (starts with \"wbh_\")"
}
},
"required": [
"PCID",
"webhook-id"
]
}
persona_admin_expire_an_api_key
Expire an API key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
api-key-id | string | Yes | — | API key’s ID (starts with “api_“) |
meta | object | Yes | — | The meta value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"api-key-id": {
"type": "string",
"description": "API key's ID (starts with \"api_\")"
},
"meta": {
"type": "object",
"description": "The meta value",
"properties": {
"expires-in-seconds": {
"type": "integer",
"description": "Number of seconds from now to expire the key (max of 30 days)"
}
},
"required": [
"expires-in-seconds"
]
}
},
"required": [
"PCID",
"api-key-id",
"meta"
]
}
persona_admin_expire_share_token
Expire a Share Token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
share-token-id | string | Yes | — | The token/ID of the Share Token to be expired. |
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"share-token-id": {
"type": "string",
"description": "The token/ID of the Share Token to be expired."
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
}
},
"required": [
"PCID",
"share-token-id"
]
}
persona_admin_import_an_account
Import Accounts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_import_email_address_lists
Import Email Address Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_import_geolocation_lists
Import Geolocation Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_import_government_id_number_lists
Import Government ID Number Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_import_ip_address_lists
Import IP Address Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_import_name_lists
Import Name Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_import_phone_number_lists
Import Phone Number Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | Yes | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
},
"required": [
"attributes"
]
}
},
"required": [
"PCID",
"data"
]
}
persona_admin_list_all_api_keys
List all API keys Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
filter | object | No | — | The filter value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"name": {
"type": "string",
"description": "Filter API keys by name"
}
}
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_api_logs
List all API Logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_connect_connections
List all Connections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
filter | object | No | — | The filter value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"status": {
"type": "string",
"description": "Filter connections by status"
},
"destination-organization-id": {
"type": "string",
"description": "Filter connections by authorized organization ID"
}
}
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_devices
List all Devices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
filter | object | Yes | — | The filter value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"inquiry-session-id": {
"type": "string",
"description": "Filter devices by inquiry session ID"
}
},
"required": [
"inquiry-session-id"
]
}
},
"required": [
"PCID",
"filter"
]
}
persona_admin_list_all_events
List all Events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
filter | object | No | — | The filter value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"name": {
"type": "string",
"description": "Comma separated list of event names"
},
"object-id": {
"type": "string",
"description": "Comma separated list of object ids"
},
"id": {
"type": "string",
"description": "Comma separated list of event ids"
}
}
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_importers
List all Importers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_rate_limits
List all Rate Limits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_share_tokens
List all Share Tokens Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
filter | object | No | — | The filter value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"connection-id": {
"type": "string",
"description": "Filter Share Tokens by connect connection ID"
},
"status": {
"type": "string",
"description": "Filter Share Tokens by status"
},
"direction": {
"type": "string",
"description": "Filter Share Tokens by direction. Defaults to returning both inbound and outbound.",
"enum": [
"inbound",
"outbound"
]
}
}
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_user_audit_logs
List all User Audit Logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_webhooks
List all Webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
}
},
"required": [
"PCID"
]
}
persona_admin_list_all_workflow_runs
List all Workflow Runs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
page | object | No | — | Page number for pagination |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
filter | object | No | — | The filter value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"page": {
"type": "object",
"description": "Page number for pagination",
"properties": {
"after": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"before": {
"type": "string",
"description": "Object ID for pagination cursor"
},
"size": {
"type": "number",
"description": "Limit on the number of objects returned"
}
}
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"filter": {
"type": "object",
"description": "The filter value",
"properties": {
"status": {
"type": "string",
"description": "Filter workflow runs by status"
}
}
}
},
"required": [
"PCID"
]
}
persona_admin_reactivate_a_connect_connection
Reactivate a Connection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
connection-id | string | Yes | — | ID of the connect connection |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"connection-id": {
"type": "string",
"description": "ID of the connect connection"
}
},
"required": [
"PCID",
"connection-id"
]
}
persona_admin_redeem_share_token
Redeem a Share Token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
share-token-id | string | Yes | — | The token/ID of the Share Token to be redeemed. |
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
data | object | No | — | The data value |
meta | object | No | — | The meta value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"share-token-id": {
"type": "string",
"description": "The token/ID of the Share Token to be redeemed."
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"attributes": {
"type": "object",
"description": "The attributes value"
}
}
},
"meta": {
"type": "object",
"description": "The meta value",
"properties": {
"field-mappings": {
"type": "array",
"items": {
"type": "object"
},
"description": "Optional list of field mappings to apply when importing source data. If a source field name matches the destination field name, it is copied directly. These mappings are applied for fields not already matched by name."
}
}
}
},
"required": [
"PCID",
"share-token-id"
]
}
persona_admin_retrieve_a_connect_connection
Retrieve a Connect Connection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
connection-id | string | Yes | — | Token of the connect connection |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"connection-id": {
"type": "string",
"description": "Token of the connect connection"
}
},
"required": [
"PCID",
"connection-id"
]
}
persona_admin_retrieve_a_device
Retrieve a Device Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
device-id | string | Yes | — | Device ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"device-id": {
"type": "string",
"description": "Device ID"
}
},
"required": [
"PCID",
"device-id"
]
}
persona_admin_retrieve_a_graph_query
Retrieve a Graph Query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
graph-query-id | string | Yes | — | The graph-query-id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"graph-query-id": {
"type": "string",
"description": "The graph-query-id value"
}
},
"required": [
"PCID",
"graph-query-id"
]
}
persona_admin_retrieve_a_share_token
Retrieve a Share Token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
share-token-id | string | Yes | — | The ID of the Share Token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"share-token-id": {
"type": "string",
"description": "The ID of the Share Token"
}
},
"required": [
"PCID",
"share-token-id"
]
}
persona_admin_retrieve_a_user_audit_log
Retrieve a User Audit Log Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
user-audit-log-id | string | Yes | — | The user-audit-log-id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"user-audit-log-id": {
"type": "string",
"description": "The user-audit-log-id value"
}
},
"required": [
"PCID",
"user-audit-log-id"
]
}
persona_admin_retrieve_a_webhook
Retrieve a Webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
webhook-id | string | Yes | — | Webhook’s ID (starts with “wbh_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"webhook-id": {
"type": "string",
"description": "Webhook's ID (starts with \"wbh_\")"
}
},
"required": [
"PCID",
"webhook-id"
]
}
persona_admin_retrieve_a_workflow_run
Retrieve a Workflow Run Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
workflow-run-id | string | Yes | — | Workflow Run’s ID (starts with “wfr_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"workflow-run-id": {
"type": "string",
"description": "Workflow Run's ID (starts with \"wfr_\")"
}
},
"required": [
"PCID",
"workflow-run-id"
]
}
persona_admin_retrieve_an_api_key
Retrieve an API key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
api-key-id | string | Yes | — | API key’s ID (starts with “api_“) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"api-key-id": {
"type": "string",
"description": "API key's ID (starts with \"api_\")"
}
},
"required": [
"PCID",
"api-key-id"
]
}
persona_admin_retrieve_an_api_log
Retrieve an API Log Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
api-log-id | string | Yes | — | The api-log-id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"api-log-id": {
"type": "string",
"description": "The api-log-id value"
}
},
"required": [
"PCID",
"api-log-id"
]
}
persona_admin_retrieve_an_event
Retrieve an Event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
event-id | string | Yes | — | The event-id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"event-id": {
"type": "string",
"description": "The event-id value"
}
},
"required": [
"PCID",
"event-id"
]
}
persona_admin_retrieve_an_importer
Retrieve an Importer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Key-Inflection | string | No | — | Determines casing for the API response. |
Idempotency-Key | string | No | — | Ensures the request is idempotent. |
Persona-Version | string | No | — | Server API version. More info on versioning can be found here. |
include | string | No | — | A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details. |
fields | object | No | — | Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details. |
importer-id | string | Yes | — | String ID of the importer to fetch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Key-Inflection": {
"type": "string",
"description": "Determines casing for the API response.",
"enum": [
"camel",
"kebab",
"snake"
]
},
"Idempotency-Key": {
"type": "string",
"description": "Ensures the request is idempotent."
},
"Persona-Version": {
"type": "string",
"description": "Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).",
"enum": [
"2025-12-08",
"2025-10-27",
"2023-01-05",
"2022-09-01",
"2021-08-18",
"2021-07-05",
"2021-02-21",
"2020-05-18"
]
},
"include": {
"type": "string",
"description": "A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details."
},
"fields": {
"type": "object",
"description": "Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details."
},
"importer-id": {
"type": "string",
"description": "String ID of the importer to fetch"
}
},
"required": [
"PCID",
"importer-id"
]
}
persona_admin_rotate_a_webhook_secret
[...]
